%define pypi_name pycparser

Name:           python-%{pypi_name}
Summary:        C parser and AST generator written in Python
Version:        2.14
Release:        %mkrel 2
License:        BSD
Group:          Development/Python
URL:            http://github.com/eliben/pycparser
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        pycparser-2.10-remove-relative-sys-path.py

Patch100:       pycparser-2.14-disable-embedded-ply.patch
# From Fedora ; I don't think we should request upstream to
# remove embedded libraries from their distribuution, when we can remove
# them during packaging.

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

# for unit tests
BuildRequires:  dos2unix
BuildRequires:  python-ply

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# for unit tests
BuildRequires:  python3-ply       

Requires:       python-ply

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%package -n python3-%{pypi_name}
Summary:        C parser and AST generator written in Python
Group:          Development/Python
Requires:       python3-ply

%description -n python3-pycparser
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch100 -p1 

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python} %{SOURCE1} examples
dos2unix LICENSE

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
%py2_build
pushd build/lib/pycparser
%{__python2} _build_tables.py
popd

pushd %{py3dir}
%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
%{__python2} tests/all_tests.py 

pushd %{py3dir}
%{__python3} tests/all_tests.py 
popd
 
%files
%doc examples 
%license LICENSE
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-*.egg-info

%files -n python3-%{pypi_name}
%doc examples
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info




%changelog
* Sat Feb 20 2016 umeabot <umeabot> 2.14-2.mga6
+ Revision: 972280
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 2.14-1.mga6
+ Revision: 897139
- update to 2.14

* Thu Oct 08 2015 tv <tv> 2.10-8.mga6
+ Revision: 887450
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.10-7.mga5
+ Revision: 748534
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.10-6.mga5
+ Revision: 726913
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.10-5.mga5
+ Revision: 688243
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.10-4.mga5
+ Revision: 628935
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.10-3.mga4
+ Revision: 543976
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.10-2.mga4
+ Revision: 499162
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.10-1.mga4
+ Revision: 492661
- imported package python-pycparser

